summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Phillip Warner2020-02-15 02:41:45 +0100
committer Willy Sudiarto Raharjo2020-02-15 02:41:45 +0100
commit2b7fc09e96aea2f5178c4dcef639a6b61992b17e (patch)
treea8ed048a8338b3663a8720bbb129f1589d0a368c
parent9227ee9a54a8f1bcbce1f4ca0608bc4d483d9924 (diff)
downloadslackbuilds-2b7fc09e96aea2f5178c4dcef639a6b61992b17e.tar.gz
system/xorgxrdp: Added (support files for xrdp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/xorgxrdp/README8
-rw-r--r--system/xorgxrdp/doinst.sh14
-rw-r--r--system/xorgxrdp/slack-desc19
-rw-r--r--system/xorgxrdp/xorgxrdp.SlackBuild86
-rw-r--r--system/xorgxrdp/xorgxrdp.info10
5 files changed, 137 insertions, 0 deletions
diff --git a/system/xorgxrdp/README b/system/xorgxrdp/README
new file mode 100644
index 0000000000..ebd375e8cc
--- /dev/null
+++ b/system/xorgxrdp/README
@@ -0,0 +1,8 @@
+** xorgxrdp ** is a collection of modules to be used with a pre-existing X.Org
+install to make the X server act like X11rdp. Unlike X11rdp, you don't have to
+recompile the whole X Window System. Instead, additional modules are installed to
+a location where the existing Xorg installation would pick them.
+
+xorgxrdp is to be used together with xrdp and X.Org Server.
+It is pretty useless using xorgxrdp alone.
+xrdp needs to be installed before xorgxrdp.
diff --git a/system/xorgxrdp/doinst.sh b/system/xorgxrdp/doinst.sh
new file mode 100644
index 0000000000..0795323810
--- /dev/null
+++ b/system/xorgxrdp/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/X11/xrdp/xorg.conf.new
diff --git a/system/xorgxrdp/slack-desc b/system/xorgxrdp/slack-desc
new file mode 100644
index 0000000000..1f61e59055
--- /dev/null
+++ b/system/xorgxrdp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xorgxrdp: xorgxrdp (support files for xrdp)
+xorgxrdp:
+xorgxrdp: xrdp is a Remote Desktop Server for Linux
+xorgxrdp:
+xorgxrdp: xorgxrdp is a collection of modules to be used with a
+xorgxrdp: pre-existing X.Org install to make the X server act like X11rdp.
+xorgxrdp: Unlike X11rdp, you don't have to recompile the whole X Window
+xorgxrdp: System. Instead, additional modules are installed to a location
+xorgxrdp: where the existing Xorg installation would pick them.
+xorgxrdp:
+xorgxrdp: xorgxrdp: Homepage: http://www.xrdp.org/
diff --git a/system/xorgxrdp/xorgxrdp.SlackBuild b/system/xorgxrdp/xorgxrdp.SlackBuild
new file mode 100644
index 0000000000..273efbc7d8
--- /dev/null
+++ b/system/xorgxrdp/xorgxrdp.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for xorgxrdp
+# Inspired by Phillip Warner <pc_warner@yahoo.com>
+# Written by David Allen <david.a58@optusnet.com.au>
+
+PRGNAM=xorgxrdp
+VERSION=${VERSION:-0.2.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# uses autoreconf now
+autoreconf -vfi
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+# Let's not clobber existing config
+mv etc/X11/xrdp/xorg.conf etc/X11/xrdp/xorg.conf.new
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xorgxrdp/xorgxrdp.info b/system/xorgxrdp/xorgxrdp.info
new file mode 100644
index 0000000000..b42e61e5cc
--- /dev/null
+++ b/system/xorgxrdp/xorgxrdp.info
@@ -0,0 +1,10 @@
+PRGNAM="xorgxrdp"
+VERSION="0.2.12"
+HOMEPAGE="http://www.xrdp.org/"
+DOWNLOAD="https://github.com/neutrinolabs/xorgxrdp/archive/v0.2.12/xorgxrdp-0.2.12.tar.gz"
+MD5SUM="805efac180e1349c32df612752d72944"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="xrdp"
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"